parameters:
    pim_installer.fixture_loader.path_provider.class:              Akeneo\Platform\Bundle\InstallerBundle\FixtureLoader\FixturePathProvider
    pim_installer.fixture_loader.job_instances_builder.class:      Akeneo\Platform\Bundle\InstallerBundle\FixtureLoader\JobInstancesBuilder
    pim_installer.fixture_loader.job_instances_configurator.class: Akeneo\Platform\Bundle\InstallerBundle\FixtureLoader\JobInstancesConfigurator
    pim_installer.fixture_loader.job_loader.class:                 Akeneo\Platform\Bundle\InstallerBundle\FixtureLoader\FixtureJobLoader
    pim_installer.fixture_loader.job_loader.config_file:           'PimInstallerBundle/Resources/config/fixtures_jobs.yml'

services:
    pim_installer.fixture_loader.path_provider:
        class: '%pim_installer.fixture_loader.path_provider.class%'
        arguments:
            - '%kernel.bundles%'

    pim_installer.fixture_loader.job_instances_builder:
        class: '%pim_installer.fixture_loader.job_instances_builder.class%'
        arguments:
            - '@file_locator'
            - '@pim_connector.reader.file.yaml_job_instance'
            - '@pim_installer.processor.denormalization.job_instance'
            - [ '%pim_installer.fixture_loader.job_loader.config_file%' ]

    pim_installer.fixture_loader.job_instances_configurator:
        class: '%pim_installer.fixture_loader.job_instances_configurator.class%'
        arguments:
            - '@pim_installer.fixture_loader.path_provider'

    pim_installer.fixture_loader.job_loader:
        class: '%pim_installer.fixture_loader.job_loader.class%'
        arguments:
            - '@pim_installer.fixture_loader.job_instances_builder'
            - '@pim_installer.fixture_loader.job_instances_configurator'
            - '@akeneo_batch.saver.job_instance'
            - '@akeneo_batch.remover.job_instance'
            - '@akeneo_batch.job.job_instance_repository'

    # we don't use the connector job instance processor to avoid circular reference detected during the installation for the service
    # "pim_connector.processor.denormalization.job_instance"
    pim_installer.processor.denormalization.job_instance:
        class: '%pim_connector.processor.denormalization.job_instance.class%'
        arguments:
            - '@akeneo_batch.job.job_instance_repository'
            - '@pim_connector.factory.job_instance'
            - '@pim_installer.updater.job_instance'
            - '@validator'
            - '@akeneo_storage_utils.doctrine.object_detacher'
            - '@akeneo_batch.job.job_parameters_validator'
            - '@akeneo_batch.job_parameters_factory'
            - '@akeneo_batch.job.job_registry'

    # we don't use the batch updater to avoid circular reference detected during the installation for the service
    # "akeneo_batch.updater.job_instance"
    pim_installer.updater.job_instance:
        class: '%akeneo_batch.updater.job_instance.class%'
        arguments:
            - '@akeneo_batch.job_parameters_factory'
            - '@akeneo_batch.job.job_registry'
